@font-face {
    font-family: baloo-2;
    src: url(../fonts/baloo-2.ttf);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body{
    height: 100%;
    background: #e86b6b;
    background: radial-gradient(circle, rgba(232, 107, 107, 1) 0%, rgba(255, 212, 212, 1) 100%);
}


nav {
  position: absolute;
  top: 20px;
  left: 20px;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

nav button {
  font-size: 16px;
  padding: 10px 20px;
  border: none;
  border-radius: 10px;
  background: #ffffff;
  color: #2e2e2e;
  box-shadow: 0 2px 5px rgba(0,0,0,0.2);
  cursor: pointer;
}

.button-link {
  display: inline-block;
  font-family: 'baloo-2';
  padding: 10px 20px;
  background-color: #ffffff;
  color: black;
  text-decoration: none;
  border: none;
  border-radius: 5px;
  font-size: 16px;
  cursor: pointer;
  box-shadow: 0 2px 4px rgba(0,0,0,0.2);
  transition: background-color 0.2s ease;
  z-index: 900;
}

.button-link:hover {
  background-color: #ffffff;
}


main{
    font-family: baloo-2;
}

main h1 {
    display: inline-block;
    position: absolute;
    white-space: nowrap;
    right: 10%;
    top: 6%;
    font-size: 4rem;
    color: #4D1717;
}

.spørgsmålstegn{
    display: inline-block;
    position: absolute;
    right: 25%;
    top: 8%;
    font-weight: bolder;
    -webkit-text-stroke: 4px white; /* laver en hvid kant rundt om teksten */
}

.spørgsmålstegn span:nth-child(1) {
    font-size: 140px;
    transform: rotate(-9deg);
    color: #FF7A7A;
}

.spørgsmålstegn span:nth-child(2) {
    font-size: 200px;
    transform: rotate(-30deg);
    color: #CDE8EE;
}

main h2 {
    display: inline-block;
    position: absolute;
    font-family: baloo-2;
    font-weight: 400;
    white-space: nowrap;
    right: 24.5%;
    top: 38%;
    color: #4D1717;
}

.produkter{
    position: absolute;
    transition: ease 0.4s;
}

.produkter:hover{
    transform:scale(1.1);
}

#bind{
    width: 250px;
    left: 4%;
    bottom: 0;
}

#tampon{
    width: 220px;
    left: 40%;
    top: 20%;
}

#disk{
    width: 300px;
    right: 6%;
    bottom: 0;
}

#trusser{
    width: 300px;
    top: 12%;
    left: 12%;
}

#indlaeg{
    width: 260px;
    bottom: 5%;
    left: 28%;
}

#kop{
    width: 170px;
    left: 55%;
    bottom: 10%;
}

/* OVERLAY -------------------------------------------------------------------------------------------- */

.popup {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #e86b6b;
    background: radial-gradient(circle, rgba(232, 107, 107, 1) 0%, rgba(255, 212, 212, 1) 100%);
    padding: 20px;
    border: 2px solid pink;
    z-index: 1000;
    box-shadow: 0 0 10px rgba(0,0,0,0.3);
    width: 1350px;
    height: 750px;
    transition: all 0.3s ease;
  }
  
  #overlay {
    display: none;
    position: fixed;
    top: 0; left: 0;
    width: 100%; height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 999;
  }

  .popup-h2 {
    display: flex;
    justify-content: center;
    font-weight: bold;
    font-size: 50px;
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
    top: 3%;
  }  

  .popup-img{
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
    width: 350px;
    bottom: 0;
  }

  .popup-tekst{
    font-family: baloo-2;
    font-size: 24px;
    color: #4D1717;
  }

  .plus{
    display: flex;
    flex-direction: column;
    top: 20%;
    left: 2%;
    position: absolute;
    text-align: center;
    line-height: 60px;
    width: 450px;
  }

  .minus{
    display: flex;
    flex-direction: column;
    right: 3%;
    top: 15%;
    position: absolute;
    text-align: center;
    width: 470px;
  }

  .miljoe{
    display: flex;
    flex-direction: column;
    right: 5%;
    position: absolute;
    top: 65%;
    text-align: center;
    align-items: center;
    width: 400px;
  }

  .bedst-til{
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 70%;
    left: 3%;
    width: 400px;
    text-align: center;
    align-items: center;
  }

  .plus-ikon{
    font-weight: bolder;
    font-size: 60px;
  }

  .minus-ikon{
    font-weight: bolder;
    font-size: 60px;
  }

  .leaf{
    width: 90px;
    margin-bottom: 20px;
  }

  .thumb{
    width: 80px;
    margin-bottom: 20px;
  }

  .fed{
    font-weight: bold; 
  }

  .minus p:nth-child(3) {
    margin-bottom: 20px;
  }

  .minus p:nth-child(2) {
    margin-bottom: 20px;
  }

  button {
    background-color: #ffffff;
    color: #000000;
    font-family: 'Baloo';
    border: none;
    padding: 0.1rem 0.2rem;
  }

  /* BILLEDER TIL POPUP -------------------------------------------------------------------------------------------- */
  
  #img-tampon{
    position: absolute;
    left: 34%;
    width: 290px;
    top: 18%;
  }

  #img-indlaeg{
    position: absolute;
    left: 40%;
    width: 340px;
    top: 18%;
  }

  #img-trusser{
    position: absolute;
    left: 37%;
    width: 340px;
    top: 30%;
  }

  #img-kop{
    position: absolute;
    left: 37%;
    width: 290px;
    top: 20%;
  }

  button{
    display: inline-block;
    font-family: baloo-2;
    padding: 10px 20px;
    background-color: #ffffff;
    color: black;
    text-decoration: none;
    border: none;
    border-radius: 5px;
    font-size: 18px;
    cursor: pointer;
    box-shadow: 0 2px 4px rgba(0,0,0,0.2);
    transition: background-color 0.2s ease;
    z-index: 10000;
    text-transform: uppercase;
  }